package com.lightinit.hsdatashow.json.pojo;

import java.util.List;

/**
 * Created by Mr.Yao on 2017/4/24.
 */
public class RoleComboEntity {
    private long id=-1L;
    private String text="";
    private String iconCls="";
    private List<RoleComboEntity> children=null;
    private RoleAttributesEntity attributes=null;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public List<RoleComboEntity> getChildren() {
        return children;
    }

    public void setChildren(List<RoleComboEntity> children) {
        this.children = children;
    }

    public String getIconCls() {
        return iconCls;
    }

    public void setIconCls(String iconCls) {
        this.iconCls = iconCls;
    }

    public RoleAttributesEntity getAttributes() {
        return attributes;
    }

    public void setAttributes(RoleAttributesEntity attributes) {
        this.attributes = attributes;
    }
}
